Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 322811 - app-office/radicale (New Package) - A simple CalDAV calendar server.
Summary: app-office/radicale (New Package) - A simple CalDAV calendar server.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 3 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://www.radicale.org/
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2010-06-05 00:52 UTC by Guillaume Ayoub
Modified: 2016-06-18 09:50 UTC (History)
20 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
radicale-0.2.ebuild (radicale-0.2.ebuild,522 bytes, text/plain)
2010-06-05 00:54 UTC, Guillaume Ayoub
Details
radicale-0.2-r1 ebuild, fixing the Python version needed for SSL (radicale-0.2-r1.ebuild,522 bytes, text/plain)
2010-06-09 09:13 UTC, Guillaume Ayoub
Details
radicale-0.3 ebuild (radicale-0.3.ebuild,522 bytes, text/plain)
2010-06-16 06:12 UTC, Guillaume Ayoub
Details
radicale-0.3-r1 ebuild, with reviews from #gentoo-dev-help (radicale-0.3-r1.ebuild,488 bytes, text/plain)
2010-07-04 14:33 UTC, Guillaume Ayoub
Details
radicale-0.3-r3 ebuild, with reviews from #gentoo-sunrise (radicale-0.3-r3.ebuild,571 bytes, text/plain)
2010-07-05 12:01 UTC, Guillaume Ayoub
Details
radicale-0.3.ebuild (radicale-0.3.ebuild,836 bytes, text/plain)
2010-08-03 22:18 UTC, René 'Necoro' Neumann
Details
radicale-0.3-foreground.patch (radicale-0.3-foreground.patch,500 bytes, patch)
2010-08-03 22:19 UTC, René 'Necoro' Neumann
Details | Diff
init script (radicale.init.d,550 bytes, text/plain)
2010-08-03 22:19 UTC, René 'Necoro' Neumann
Details
default config file (config,956 bytes, text/plain)
2010-08-03 22:19 UTC, René 'Necoro' Neumann
Details
radicale-0.4.ebuild (radicale-0.4.ebuild,734 bytes, text/plain)
2010-08-10 18:00 UTC, René 'Necoro' Neumann
Details
radicale-0.5.ebuild (radicale-0.5.ebuild,777 bytes, text/plain)
2011-04-03 20:43 UTC, René 'Necoro' Neumann
Details
radicale-0.6.2.ebuild (radicale-0.6.2.ebuild,1.21 KB, text/plain)
2011-10-10 21:38 UTC, René 'Necoro' Neumann
Details
making the system a litttle bit more gentoo-itive. (radicale2.patch,1.53 KB, patch)
2011-12-06 13:43 UTC, Micha Glave
Details | Diff
ebuild for carddav branch of radicale (git with CardDAV support) (radicale-9999.ebuild,2.47 KB, text/plain)
2012-02-08 09:27 UTC, Vlad
Details
logrotate script for the live ebuild (radicale.logrotate,201 bytes, text/plain)
2012-02-08 09:28 UTC, Vlad
Details
radicale-0.7.1.ebuild (radicale-0.7.1.ebuild,1.92 KB, text/plain)
2012-09-09 11:25 UTC, René 'Necoro' Neumann
Details
init-script for 0.7.1 (radicale.init.d,576 bytes, text/plain)
2012-09-09 11:26 UTC, René 'Necoro' Neumann
Details
radicale-0.8.ebuild (radicale-0.8.ebuild,1.79 KB, text/plain)
2013-09-15 14:06 UTC, René 'Necoro' Neumann
Details
radicale-0.8-config.patch (radicale-0.8-config.patch,2.12 KB, patch)
2013-09-15 14:07 UTC, René 'Necoro' Neumann
Details | Diff
Patch for ebuild to add missing dependency (radicale-0.8.ebuild.patch,639 bytes, patch)
2014-02-24 11:28 UTC, kim
Details | Diff
New ebuild for Radicale 1.0.1 (radicale-1.0.1.ebuild,1.76 KB, text/plain)
2015-11-25 05:23 UTC, Christopher Head
Details
The new configuration file patch for version 1.0.1 (radicale-1.0.1-config.patch,841 bytes, patch)
2015-11-25 05:24 UTC, Christopher Head
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Ayoub 2010-06-05 00:52:44 UTC
Hi!

Please find attached radicale-0.2.ebuild.

Radicale is a simple CalDAV calendar server written in Python.  It aims to be a light solution, easy to use, easy to install, easy to configure.  As a consequence, it requires few software dependencies and is pre-configured to work out-of-the-box.

I suggest app-office/radicale.  This ebuild does not depend on anything but Python, and should work on many archs.

This is my fisrt ebuild submission, please tell me if I’ve done anything wrong.

Thank you,
-- 
Guillaume Ayoub
Comment 1 Guillaume Ayoub 2010-06-05 00:54:19 UTC
Created attachment 234161 [details]
radicale-0.2.ebuild
Comment 2 Guillaume Ayoub 2010-06-09 09:13:11 UTC
Created attachment 234669 [details]
radicale-0.2-r1 ebuild, fixing the Python version needed for SSL
Comment 3 Guillaume Ayoub 2010-06-16 06:12:19 UTC
Created attachment 235513 [details]
radicale-0.3 ebuild
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2010-06-30 13:17:58 UTC
Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Thanks,
On behalf of the Gentoo Sunrise Team,
Markos.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 5 Guillaume Ayoub 2010-07-04 14:33:07 UTC
Created attachment 237447 [details]
radicale-0.3-r1 ebuild, with reviews from #gentoo-dev-help
Comment 6 Guillaume Ayoub 2010-07-05 12:01:25 UTC
Created attachment 237567 [details]
radicale-0.3-r3 ebuild, with reviews from #gentoo-sunrise
Comment 7 René 'Necoro' Neumann 2010-07-30 12:42:00 UTC
The package should provide a default configuration file as mentioned at the homepage and also an init-script :)
Comment 8 René 'Necoro' Neumann 2010-08-03 22:18:39 UTC
Created attachment 241337 [details]
radicale-0.3.ebuild

Here is a new radicale ebuild.

Changes:
+ removes the "-r3" part: Not in tree yet ... so no need to care about revs.
+ installs init.d file: now able to start/stop service
+ installs default config: config file now taken care of by portage
Comment 9 René 'Necoro' Neumann 2010-08-03 22:19:26 UTC
Created attachment 241339 [details, diff]
radicale-0.3-foreground.patch

Patch needed by the last ebuild. It adds "--foreground" option needed by the init script.
Comment 10 René 'Necoro' Neumann 2010-08-03 22:19:43 UTC
Created attachment 241341 [details]
init script
Comment 11 René 'Necoro' Neumann 2010-08-03 22:19:59 UTC
Created attachment 241343 [details]
default config file
Comment 12 Guillaume Ayoub 2010-08-08 09:57:50 UTC
Radicale 0.4 has been released, with a default config file included in the package and the --foreground option.
Comment 13 René 'Necoro' Neumann 2010-08-10 18:00:40 UTC
Created attachment 242277 [details]
radicale-0.4.ebuild

Here is the ebuild for the 0.4 version. :)
Comment 14 René 'Necoro' Neumann 2010-08-10 18:39:12 UTC
Committed to sunrise. After being reviewed by the developers this should be moved into the available overlay.
Comment 15 René 'Necoro' Neumann 2011-04-03 20:43:11 UTC
Created attachment 268407 [details]
radicale-0.5.ebuild

Bump to version 0.5

Also added "ssl" as useflag and removed the pkg_postinst message. When the ssl-useflag is set, I also enforce the python-version to be 2.6.6 at least to avoid hitting the SSL-bug in previous python-versions.
Comment 16 Mehmet Giritli 2011-04-15 18:49:29 UTC
The config file misses a logging section, from the website which I can see that should exist. But then those docs also refer you to http://docs.python.org/library/logging.config.html to configure a logging file. Well, a sample config should be there at least for some tweaking...
Comment 17 Guillaume Ayoub 2011-04-15 19:32:13 UTC
(In reply to comment #16)
> The config file misses a logging section, from the website which I can see that
> should exist. But then those docs also refer you to
> http://docs.python.org/library/logging.config.html to configure a logging file.
> Well, a sample config should be there at least for some tweaking...

There's no logging in the 0.5 version of Radicale, it has been added in the current git master (there's a (too?) small note about it on the documentation).

http://radicale.org/user_documentation#id19

The default configuration file included in the 0.5 package is OK.
Comment 18 Mehmet Giritli 2011-08-07 21:19:56 UTC
Can we get a 0.6 ebuild. I think we need more than just a version bump since there are new features like wsgi etc...I am looking forward to give wsgi feature a try behind apache...
Comment 19 René 'Necoro' Neumann 2011-08-08 04:57:33 UTC
I have a working radicale w/ wsgi setup behind a lighttpd. I need to see, if/what I needed to configure in radicale.

I'll try to bump the package this evening.
Comment 20 René 'Necoro' Neumann 2011-08-09 00:58:38 UTC
There are several small things that need to be fixed before I'll present an ebuild here. So lets wait for radicale-0.6.1 :)
Comment 21 Mehmet Giritli 2011-09-07 09:27:23 UTC
(In reply to comment #20)
> There are several small things that need to be fixed before I'll present an
> ebuild here. So lets wait for radicale-0.6.1 :)

So are we good to go?
Comment 22 Guillaume Ayoub 2011-09-07 18:55:39 UTC
(In reply to comment #21)
> (In reply to comment #20)
> > There are several small things that need to be fixed before I'll present an
> > ebuild here. So lets wait for radicale-0.6.1 :)
> 
> So are we good to go?

Some executable and configuration files have been added in the 0.6.1 archive, I think that everything is ready for an ebuild!
Comment 23 Mehmet Giritli 2011-10-06 13:45:42 UTC
I hate to bug people like that but it has been a while since the radicale release and it would be great to have this ebuild tested.
Comment 24 Guillaume Ayoub 2011-10-10 13:31:37 UTC
(In reply to comment #23)
> I hate to bug people like that but it has been a while since the radicale
> release and it would be great to have this ebuild tested.

I have pushed an updated ebuild here:
https://github.com/Kozea/Overlay/tree/master/app-office/radicale

The WSGI script if installed if the "apache" use flag is set, and the FCGI script is installed if the "lighttpd" use flag is set. I don't know whether I should add lighttpd and apache as dependences when the flags are set.

If everything works for you, I can update the sunrise overlay (and even add myself as the ebuild maintainer, if needed).
Comment 25 René 'Necoro' Neumann 2011-10-10 13:41:03 UTC
You should probably rename "lighttpd" to "fastcgi", as this is a global useflag. But honestly, I would just install them without a useflag (see for example the discussion about the bash-completion flag on the gentoo-dev ML).

And these two file should go to /usr/share/${PN} I think. Directly placing anything is under /var/www is a bad thing imho as you don't know how the server is structured there and putting stuff there might do bad things. Also /usr/share/${PN} is where the other webapps install there stuff to.
Comment 26 René 'Necoro' Neumann 2011-10-10 13:46:16 UTC
Oh btw: My (old) version of the ebuild can be found here: [1]
Besides the changes I already pointed out in the previous post, it adds flup as a dependency in the fastcgi case (is this correct?)

I'll see that I get stuff merged and committed this evening. Sorry for the delay.

[1] http://git.necoro.eu/overlay.git/tree/app-office/radicale/radicale-0.6.ebuild
Comment 27 Guillaume Ayoub 2011-10-10 16:09:11 UTC
Thanks a lot for your tips and for your ebuild, I've updated my ebuild to reflect your changes. Things look much better now!
Comment 28 René 'Necoro' Neumann 2011-10-10 21:38:21 UTC
Created attachment 289485 [details]
radicale-0.6.2.ebuild

I've committed the attached ebuild to sunrise.

I did the following changes over Guillaume's version:
* move stuff from DEPEND to RDEPEND where it belongs (my error to put in into DEPEND in the first place)
* remove ${ROOT} from insinto
* sort IUSE :)
* remove the README.rst prior to installing (else we have the README twice in the system, which is pointless)
* minor aesthetic/repoman-enforced updates
Comment 29 Micha Glave 2011-12-06 13:43:15 UTC
Created attachment 294989 [details, diff]
making the system a litttle bit more gentoo-itive.
Comment 30 Micha Glave 2011-12-06 13:53:13 UTC
I had an exception while compiling with python-3.1* so as a work-around adding >>RESTRICT_PYTHON_ABIS="3.*"<< omit the following problem: 

Traceback (most recent call last):
  File "setup.py", line 93, in <module>
    "Topic :: Office/Business :: Groupware"])
  File "/usr/lib64/python3.1/distutils/core.py", line 149, in setup
    dist.run_commands()
  File "/usr/lib64/python3.1/distutils/dist.py", line 919, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python3.1/distutils/dist.py", line 938, in run_command
    cmd_obj.run()
  File "/usr/lib64/python3.1/distutils/command/install.py", line 592, in run
    self.run_command(cmd_name)
  File "/usr/lib64/python3.1/distutils/cmd.py", line 315, in run_command
    self.distribution.run_command(command)
  File "/usr/lib64/python3.1/distutils/dist.py", line 938, in run_command
    cmd_obj.run()
  File "/usr/lib64/python3.1/distutils/command/install_egg_info.py", line 44, in run
    self.distribution.metadata.write_pkg_file(f)
  File "/usr/lib64/python3.1/distutils/dist.py", line 1040, in write_pkg_file
    file.write('Description: %s\n' % long_desc)
UnicodeEncodeError: 'ascii' codec can't encode character '\xa0' in position 455: ordinal not in range(128)


!!! ERROR in app-office/radicale-0.6.2::sunrise:
!!! In python_execute_function at line 3620
!!! Installation failed with CPython 3.1 in distutils_installation() function

!!! Call stack:
!!!    * python_execute_function (/var/tmp/paludis/app-office-radicale-0.6.2/temp/loadsaveenv:3620)
!!!    * distutils_src_install (/var/tmp/paludis/app-office-radicale-0.6.2/temp/loadsaveenv:1472)
!!!    * src_install (/var/tmp/paludis/app-office-radicale-0.6.2/temp/loadsaveenv:5237)
!!!    * ebuild_f_install (/usr/libexec/paludis/0/src_install.bash:48)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:646)
!!!    * main (/usr/libexec/paludis/ebuild.bash:672)

diefunc: making ebuild PID 13813 exit with error
die trap: exiting with error.
Comment 31 Guillaume Ayoub 2011-12-06 14:12:26 UTC
I removed the non-ASCII character of the docstring in the git branch upstream, that should fix this bug.
Comment 32 John L. Poole 2012-01-05 07:31:22 UTC
I just installed the sunrise overlay and tried to emerge radicale and got the same error:

File "/usr/lib/python3.1/distutils/dist.py", line 1040, in write_pkg_file
    file.write('Description: %s\n' % long_desc)
UnicodeEncodeError: 'ascii' codec can't encode character '\xa0' in position 455: ordinal not in range(128)

Has the fix referenced in  Comment 31 made it into what gets exposed in sunrise?
Comment 33 Guillaume Ayoub 2012-01-05 11:38:36 UTC
(In reply to comment #32)
> I just installed the sunrise overlay and tried to emerge radicale and got the
> same error:
> 
> File "/usr/lib/python3.1/distutils/dist.py", line 1040, in write_pkg_file
>     file.write('Description: %s\n' % long_desc)
> UnicodeEncodeError: 'ascii' codec can't encode character '\xa0' in position
> 455: ordinal not in range(128)
> 
> Has the fix referenced in  Comment 31 made it into what gets exposed in
> sunrise?

No, the "fix" is not in 0.6.2, but in 0.6.4 (just released!). The bug is indeed in Python, not fixed in Python 3.1, but fixed in Python 3.2 (and is not present in Python 2.x).

http://bugs.python.org/issue6011

Renaming the ebuild from 0.6.2 to 0.6.4 works.
Comment 34 René 'Necoro' Neumann 2012-01-30 08:24:00 UTC
Bump to 0.6.4 in sunrise -- also applied Micha's patch.
Comment 35 Vlad 2012-02-08 09:27:39 UTC
Created attachment 301223 [details]
ebuild for carddav branch of radicale (git with CardDAV support)

There's git branch of radicale with CardDAV support. So far I've tested this branch with Evolution and CardDAV/CalDAV-sync(android). It's mostly based on the latest ebuild from sunrise with a few changes:
- switched from single log file to a log directory (see below why)
- added logrotate flag
- added logrotate script
Comment 36 Vlad 2012-02-08 09:28:19 UTC
Created attachment 301225 [details]
logrotate script for the live ebuild
Comment 37 René 'Necoro' Neumann 2012-09-09 11:25:55 UTC
Created attachment 323266 [details]
radicale-0.7.1.ebuild

Bump to newest version of radicale: 0.7.1

This ebuild also improves the log handling.

Two notes:

- I did not include the logrotate-script
- I did not add the "pam"-dependency: The requested package is not in portage -- and it is so old, that I don't feel like adding it. Especially in the light of http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-1502 (this affects another pam binding, but still).
Comment 38 René 'Necoro' Neumann 2012-09-09 11:26:32 UTC
Created attachment 323268 [details]
init-script for 0.7.1

Updated init script
Comment 39 René 'Necoro' Neumann 2013-09-15 14:06:28 UTC
Created attachment 358704 [details]
radicale-0.8.ebuild

New ebuild for radicale-0.8

Please note, that this ebuild marks radicale as being Python2 only, as flup is not py3 ready yet and python-ldap does not support py3.3.
Comment 40 René 'Necoro' Neumann 2013-09-15 14:07:27 UTC
Created attachment 358706 [details, diff]
radicale-0.8-config.patch

Instead of the sed-orgy in the old ebuild, this one uses a patch (mainly because there are now more changes...).
Comment 41 Mindmechanics 2013-11-22 22:36:46 UTC
For me, the init-script isn't working properly.
I am able to start radicale as root, but when started through the scipt, it crashes.

myserver ~ # /etc/init.d/radicale start
 * Starting radicale ...                                                 [ ok ]
myserver ~ # /etc/init.d/radicale status
 * status: crashed

no logentries however.
Comment 42 kim 2014-02-24 11:28:44 UTC
Created attachment 371168 [details, diff]
Patch for ebuild to add missing dependency

Hi,

I've tried to use radicale with postgres and it was missing dev-python/psycopg. I've added it as dependency to the ebuild in my local overlay. I think it's not perfect because I need now the sql and the postgres USE flag. Perhaps someone have a better idea how to solve this.

Cheers,
Kim
Comment 43 René 'Necoro' Neumann 2015-02-17 10:34:38 UTC
I am going to update the ebuild to 0.10 this week.

Changes, I'd like to introduce:

- python-pam is now in portage -> add 'pam' flag and the dependency
- remove the 'fastcgi' flag and print out a message instead. Reason: flup is just one possibility to add fcgi support. Just point the user in the right direction. It's still his responsibility to set up the server.
- add 'http' flag (better name?) and add dependency on dev-python/requests

@kim: I don't think, adding db-specific flags is a good idea. Such things are handled by sqlalchemy (which, unfortunately, has changed from useflags to 'please install yourself' behavior)

I still can't mark the package as supporting py3, due to some dependencies. The only possibility here would be to go the sqlalchemy way and print a 'if you want this, install that' wall of text.
Comment 44 Henning Schild 2015-08-21 14:46:28 UTC
Did you actually update to 0.10, is the ebuild stuck in a review process?
Comment 45 Christopher Head 2015-11-25 05:23:30 UTC
Created attachment 417808 [details]
New ebuild for Radicale 1.0.1

Attached here is an ebuild for Radicale 1.0.1, the latest release. Changes from the 0.8 files in Sunrise are, of course, the version bump, a respin and slight simplification of the configuration file patch (which I will attach momentarily), and a change from doins to python_doscript for radicale.{wsgi,fcgi}, which both makes the files executable (necessary for spawn-fcgi to launch them) and also repoints them through python-exec and fixes their shebangs so they don’t explode if your system Python is Python 3.
Comment 46 Christopher Head 2015-11-25 05:24:02 UTC
Created attachment 417810 [details, diff]
The new configuration file patch for version 1.0.1
Comment 47 Maxim Koltsov gentoo-dev 2016-01-26 21:24:05 UTC
I've reworked ebuilds from Sunrise and this bug and included Radicale into the tree.
Closing bug.